[IPython-dev] Uniform way of integrating event loops among different IDE's

Fernando Perez fperez.net@gmail....
Wed Aug 25 15:59:34 CDT 2010


On Wed, Aug 25, 2010 at 1:08 PM, Almar Klein <almar.klein@gmail.com> wrote:
> On whether I'd be allowed to use the BSD license, I found this exception to
> the GPL license, that is used by both Nokia and Riverbank:
> http://doc.trolltech.com/4.4/license-gpl-exceptions.html
>
> As for as I can see, item 2 (at the bottom) covers it already, because IEP
> links to the precompiled binaries.
>

I'm no lawyerr by any stretch of the imagination, but it seems to me
that you comply with 1A, 1B and 1C, so that you are indeed allowed to
use the BSD license (just like ipython or matplotlib do, both of which
have small amounts of Qt-using code in them).

I read 2 as: if you want to link and distribute *non open-source*
applications, you must use the commercial Qt license.

But again, not a lawyer here :)

It's also worth keeping in mind that PySide is slowly but surely
improving, so a pure LGPL set of python bindings for Qt is also on the
horizon...

Regards,

f


More information about the IPython-dev mailing list